﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Apollo.Core
{
    public static class DataStub
    {
        public static List<Product> Products = new List<Product>();

        public static Master GetMasterDoc()
        {
            Products.Add(Product1);
            Products.Add(Product2);


            var result = new Master { Name = "Doc1" };
            var detail1 = GetDetail1();
            detail1.Master = result;

            var detail2 = GetDetail2();
            detail2.Master = result;

            result.Details.Add(detail1);
            result.Details.Add(detail2);

            return result;
        }


        private static Detail GetDetail1()
        {
            var detail = new Detail { Id = Guid.NewGuid() };
            detail.Product = Product1;
            return detail;
        }

        private static Detail GetDetail2()
        {
            var detail = new Detail { Id = Guid.NewGuid() };
            detail.Product = Product2;
            return detail;
        }





        private static Product product1;
        private static Product Product1
        {
            get
            {
                if (null == product1)
                    product1 = new Product { ProductKey = Guid.NewGuid(), ProductCode = "123", ProductName = "Product1" };
                return product1;
            }
        }

        private static Product product2;
        private static Product Product2
        {
            get
            {
                if (null == product2)
                    product2 = new Product { ProductKey = Guid.NewGuid(), ProductCode = "456", ProductName = "Product2" };
                return product2;
            }
        }
    }
}
