﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Apollo.Core
{
    [Table("Detail")]
    public partial class Detail
    {
        public Guid Id { get; set; }

        public Guid MasterId { get; set; }

        public Guid ProductId { get; set; }

        public int Quantity { get; set; }

        public virtual Master Master { get; set; }

        [ForeignKey("ProductId")]
        public virtual Product Product { get; set; }
    }
}
