﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Apollo.Core
{
    [Table("Master")]
    public partial class Master
    {
        public Master()
        {
            Details = new HashSet<Detail>();
        }

        public Guid Id { get; set; }

        [Required]
        [StringLength(50)]
        public string Name { get; set; }

        public virtual ICollection<Detail> Details { get; set; }
    }
}
