﻿
using Infragistics.Windows.DataPresenter;
using System.Windows.Interactivity;

namespace IG_Testing.Behavior
{
    public class XamDataGridBehavior: Behavior<XamDataGrid>
    {
        protected override void OnAttached()
        {
            this.AssociatedObject.Loaded += AssociatedObject_Loaded;
        }

        private void AssociatedObject_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {            
            AssociatedObject.ExecuteCommand(DataPresenterCommands.RecordLastOverall);
        }

        protected override void OnDetaching()
        {
            this.AssociatedObject.Loaded -= AssociatedObject_Loaded;
        }
    }
}
